Subject: bug#40529: 26.3; global-display-line-numbers-mode and flymake-show-diagnostics-buffer error

From: João Távora <[email-masked]>
Date: Fri, 10 Apr 2020 15:38:58 +0100

On Fri, Apr 10, 2020 at 1:16 PM Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Date: Fri, 10 Apr 2020 12:50:19 +0100
> > Cc: Aidan Beggs <[email-masked]>, [email-masked]
> >
> > Thanks, I will have a look at this soon.  One thing I don't understand
> is
> > the influence of `global-display-line-numbers-mode` in all of this. I
> suppose
> > the situation doesn't happen if it's off.  Knowing why will probably
> solve
> > the mystery.
> >
> > Actually, having a look at the backtrace, it seems turning on
> > display-line-numbers-mode causes the tabulated list to reprint itself
> via some
> > hook that is presumably there by default.
>
> Exactly.  I think this answers your question in the first paragraph.
>

Yes, and it raises another one for which I don't have an answer to.
Why does it do that? What do line numbers have to do with
tabulated lists?

João Távora